#include <bits/stdc++.h>
using namespace std;
int main()
{
	ifstream fi("tansuat.inp");
	ofstream fo("tansuat.out");
	int n;
	fi>>n;
	int a[n];
	int d=1;
	for(int i=0;i<n;i++)
	{
		fi>>a[i];
	}
	bool kt=false;
//	a[n]=-1;
	sort(a,a+n);
	for(int i=0;i<n;i++)
	{
		if(a[i]==a[i+1])d++;
		else
		{
			if(d>1)
			{
				fo<<a[i]<<" "<<d<<endl;
			}
			d=1;
			kt=true;
		}
	}
	if(kt==false)
	{
		fo<<0;
	}
}
